Bug 148940 - Patch to make X11 support conditional
Patch to make X11 support conditional
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hpijs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 20:51 EST by Philip Gwyn
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 08:02:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (602 bytes, patch)
2005-02-16 20:53 EST, Philip Gwyn
no flags Details | Diff

  None (edit)
Description Philip Gwyn 2005-02-16 20:51:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040914

Description of problem:
This patch adds %define use_X to the spec file.  This define is then
used to conditionnaly turn functionnaly that needs X11 on or off.

Deactivating X11 is useful for servers.

This means that configure is called with --without-x

Version-Release number of selected component (if applicable):
hpijs-1.6-2

How reproducible:
Always

Steps to Reproduce:
1. Default FC3 install
2. rpm -e xorg-x11-libs
    

Actual Results:  hpijs depends on xorg-x11-libs somehow

Expected Results:  Be able to install a server w/o X11 libs.

Additional info:
Comment 1 Philip Gwyn 2005-02-16 20:53:22 EST
Created attachment 111147 [details]
Patch
Comment 2 Matthew Miller 2006-07-10 16:13:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Tim Waugh 2006-07-11 08:02:50 EDT
Closing; the hpijs package in Fedora Core 5 does not require X.

Note You need to log in before you can comment on or make changes to this bug.